# TODO:
# - lib64 patch

# Conditional build:

%define		module	psycopg2
Summary:	psycopg is a PostgreSQL database adapter for Python
Summary(pl.UTF-8):	psycopg jest przeznaczonym dla Pythona interfejsem do bazy PostgreSQL
Name:		python-%{module}
Version:	2.8.6
Release:	4
License:	GPL
Group:		Libraries/Python
Source0:	https://pypi.debian.net/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	ae2ff92f1cfcd890bd5f09f4d1d7d60c
#Patch0:		%{name}-lib64.patch
URL:		https://www.psycopg.org/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	autoconf
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
BuildRequires:	python-devel >= 2.5
BuildRequires:	rpm-pythonprov
%if "%{pld_release}" == "ac"
BuildRequires:	python-mx-DateTime-devel
Requires:	python-mx-DateTime
%else
# if somebody really needs mx.DateTime, then one can request mx.Datetime
# usage on runtime;
# it is pointless to use 'Requires' or 'Suggest' field because
# - python provides its own datetime implementation
# - one can request it on runtime (as said above)
# - usage of mx.DateTime type is application specific
# Sure, but make mx-DateTime conditional build work
BuildConflicts:	python-egenix-mx-base
%endif
Requires:	postgresql-libs
Requires:	python-modules
Requires:	python-pytz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch
with the aim of being very small and fast, and stable as a rock. The
main advantages of psycopg are that it supports the full Python
DBAPI-2.0 and being thread safe at level 2.

%description -l pl.UTF-8
psycopg jest przeznaczonym dla Pythona interfejsem do bazy danych
PostgreSQL (tak jak pygresql i popy). Został zakodowany od początku z
założeniem że ma być bardzo mały, szybki i stabilny. Główna zaletą
psycopg jest, że w jest pełni zgodny z standardem DBAPI-2.0 i jest
'thread safe' na poziomie 2.

%prep
%setup -q -n %{module}-%{version}
#%if "%{_lib}" == "lib64"
#%patch0 -p1
#%endif

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS AUTHORS doc/SUCCESS
%dir %{py_sitedir}/%{module}
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/*.py[co]
%if "%{pld_release}" != "ac"
%{py_sitedir}/*.egg-info
%endif
%changelog
* Sun Mar 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-psycopg2.git;a=log;h=master

* Sun Mar 23 2025 Jan Rękorajski <baggins@pld-linux.org> 4d13b9d
- rel 4. python 3 moved to separate package

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 1a98cbc
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 3dcbb1d
- python 3.13 rebuild

* Tue Oct 10 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> c6e3ee3
- Up to 2.8.6

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b9e8dac
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8dfed6d
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7253be3
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> e13b7f3
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 869f285
- release 2 (by relup.sh)

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> dc9211f
- up to 2.8.4

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 688c749
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a062716
- up to 2.7.5

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0279c5b
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 149fafa
- python 3.6
- release 2 (by relup.sh)

* Wed Jul 13 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 20f9e4d
- up to 2.6.2

* Wed Apr 27 2016 Andrzej Zawadzki <zawadaa@pld-linux.org> 82254d1
- up to 2.6.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 1760126
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 330f6d7
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 528a4b4
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5825139
- python3.5 rebuild
- release 5 (by relup.sh)

